/*----------------------------------------------------------------------------------------------------*
 Purpose: This is example code showing how to create a table in Teradata from a SAS data set.  The 
          table being created in Teradata is the hmeqid table that is referenced in Tutorial 5.
          The SAS data set being used is the hmeq_score_input.sas7bdat file located in the
          Tutorial3\Samples directory.  This directory is created when you unzipped the SMM22Tutorial
          zip file.  To run this file please change the variable values below from replace_value to 
          reflect the values of your environment.
*----------------------------------------------------------------------------------------------------*/

/* Fill in the value for the userid used to access Teradata. */
%let userName="replace_value";

/* Fill in the value for the password associated with the userid used to access Teradata. */
%let password="replace_value";

/* Fill in the value for the database used in Teradata that will contain the hmeqid table. */
%let databaseName="replace_value";

/* Fill in the value for the host of the Teradata Server. */
%let teradataServer="replace_value";

/* Fill in the full path to the hmeq_score_input.sas7bdat file contained in the Tutoral3\Samples directory */
%let hmeqLocation="replace_value";


/* Define the teradata library */
Libname TDdb teradata server=&teradataServer  user=&userName pw=&password database=&databaseName;

/* This will delete the hmeqid table if it currently exists in the database. */
Proc Delete data=TDdb.hmeqid; run;

/* Define the library with the data set to be moved into Teradata*/
Libname Samp &hmeqLocation;

/* Create and copy the data from the hmeq_score_input into hmeqid within Teradata. */
Data TDdb.hmeqid;
 Set Samp.hmeq_score_input;
 drop customer_id;
 retain custid 0;
 custid = custid + 1;
Run;